Subject: Re: [PATCH] Stochastic Fair Blue queue discipline

From: Patrick McHardy <[email-masked]>
Date: Tue, 08 Apr 2008 02:04:24 +0200

Juliusz Chroboczek wrote:
> Hello,
>
> The attached is an implementation of the Stochastic Fair Blue queue
> discipline for Linux.
>
> I would like to request a review of the following code, and whether it
> is worthwile to add the Kconfig bits and submit it for inclusion into
> the mainline kernel.
>
> You will find a ready to build tarball on
>
>   http://www.pps.jussieu.fr/~jch/software/files/sch_sfb-20080407.tar.gz
>   http://www.pps.jussieu.fr/~jch/software/files/sch_sfb-20080407.tar.gz.asc
>
> and a short description on
>
>   http://www.pps.jussieu.fr/~jch/software/sfb/

Do you have some graphs or something showing the effects?
I experienced with SFB myself some time ago and recall
getting huge unfairness towards non-ECN connections.
I can't remember exactly how good it behaved overall.